org.apache.fop.render.afp.exceptions

## Class RendererRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.fop.render.afp.exceptions.NestedRuntimeException
        - - org.apache.fop.render.afp.exceptions.RendererRuntimeException

- All Implemented Interfaces:
    Serializable

      public class RendererRuntimeException
      extends NestedRuntimeException

  A runtime exception for handling fatal errors in rendering.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RendererRuntimeException(String msg)` Constructs a RendererRuntimeException with the specified message.
    `RendererRuntimeException(String msg, Throwable t)` Constructs a RendererRuntimeException with the specified message wrapping the underlying exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.fop.render.afp.exceptions.NestedRuntimeException

      `getMessage, getUnderlyingException, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RendererRuntimeException

          public RendererRuntimeException(String msg)

      Constructs a RendererRuntimeException with the specified message.
      Parameters:
        `msg` - the exception mesaage

    - #### RendererRuntimeException

          public RendererRuntimeException(String msg,
                                          Throwable t)

      Constructs a RendererRuntimeException with the specified message wrapping the underlying exception.
      Parameters:
        `msg` - the exception mesaage
        `t` - the underlying exception

Copyright © 2025 Apache Software Foundation. All rights reserved.